Skip to main content
POST
/
api
/
kb
/
ingest-cloud
Ingest Cloud
curl --request POST \
  --url https://api.example.com/api/kb/ingest-cloud \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "files": [
    {
      "provider": "<string>",
      "fileId": "<string>",
      "fileName": "<string>"
    }
  ],
  "collection": "<string>",
  "parse_method": "default",
  "chunk_strategy": "recursive",
  "chunk_size": 123,
  "chunk_overlap": 123,
  "separators": [
    "<string>"
  ],
  "embedding_model_id": "text-embedding-v4",
  "embedding_batch_size": 123,
  "max_retries": 123,
  "retry_delay": 123
}
'
[
  {
    "status": "<string>",
    "message": "<string>",
    "doc_id": "<string>",
    "parse_hash": "<string>",
    "chunk_count": 0,
    "embedding_count": 0,
    "vector_count": 0,
    "completed_steps": [
      {
        "name": "<string>",
        "metadata": {}
      }
    ],
    "failed_step": "<string>",
    "warnings": [
      "<string>"
    ],
    "file_id": "<string>"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.xagent.run/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
files
CloudFile · object[]
required
collection
string
required
parse_method
enum<string> | null

Available parsing methods

Available options:
default,
pypdf,
pdfplumber,
unstructured,
pymupdf,
deepdoc
chunk_strategy
enum<string> | null

Available chunk strategies

Available options:
recursive,
fixed_size,
markdown
chunk_size
integer | null
chunk_overlap
integer | null
separators
string[] | null
embedding_model_id
string
default:text-embedding-v4
embedding_batch_size
integer | null
max_retries
integer | null
retry_delay
number | null

Response

Successful Response

status
string
required

Pipeline status: success|error|partial

message
string
required

Human-readable summary of pipeline result

doc_id
string | null

Document identifier produced by register_document

parse_hash
string | null

Parse hash produced during parse_document step

chunk_count
integer
default:0

Number of chunks created; must be non-negative

Required range: x >= 0
embedding_count
integer
default:0

Number of embeddings generated; must be non-negative

Required range: x >= 0
vector_count
integer
default:0

Number of vectors written to storage; must be non-negative

Required range: x >= 0
completed_steps
IngestionStepResult · object[]

List of successfully completed steps

failed_step
string | null

Pipeline step where failure occurred, if any

warnings
string[]

Non-fatal warnings encountered

file_id
string | null

Uploaded file ID for preview/download via /api/files (when ingest registers the file)